Package org.eclipse.rdf4j.sail.lucene.impl.config

## Class LuceneSailFactory

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.impl.config.LuceneSailFactory

- All Implemented Interfaces:
    `SailFactory`

      public class LuceneSailFactory
      extends Object
      implements SailFactory

  A `SailFactory` that creates `LuceneSail`s based on RDF configuration data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SAIL_TYPE` | The type of repositories that are created by this factory.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LuceneSailFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SailImplConfig` | `getConfig()` |
    `Sail` | `getSail​(SailImplConfig config)` | Returns a Sail instance that has been initialized using the supplied configuration data.
    `String` | `getSailType()` | Returns the Sail's type: openrdf:LuceneSail.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SAIL_TYPE

          public static final String SAIL_TYPE

      The type of repositories that are created by this factory.
      See Also:
        `SailFactory.getSailType()`, Constant Field Values

  - ### Constructor Detail

    - #### LuceneSailFactory

          public LuceneSailFactory()

  - ### Method Detail

    - #### getSailType

          public String getSailType()

      Returns the Sail's type: openrdf:LuceneSail.
      Specified by:
        `getSailType` in interface `SailFactory`

    - #### getConfig

          public SailImplConfig getConfig()

      Specified by:
        `getConfig` in interface `SailFactory`

    - #### getSail

          public Sail getSail​(SailImplConfig config)
                       throws SailConfigException

      Description copied from interface: `SailFactory`
      Returns a Sail instance that has been initialized using the supplied configuration data.
      Specified by:
        `getSail` in interface `SailFactory`
      Parameters:
        `config` - TODO
      Returns:
        The created (but un-initialized) Sail.
      Throws:
        `SailConfigException` - If no Sail could be created due to invalid or incomplete configuration data.